cascading.tuple.hadoop.util

## Class BaseTupleComparator

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.util.DeserializerComparator<Tuple>
    - - cascading.tuple.hadoop.util.BaseTupleComparator

- All Implemented Interfaces:
    java.util.Comparator<Tuple>, Configurable, RawComparator<Tuple>
  Direct Known Subclasses:
    TupleComparator

      public abstract class BaseTupleComparator
      extends DeserializerComparator<Tuple>
      implements Configurable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `BaseTupleComparator.RawComparison`

  - ### Field Summary

    - ### Fields inherited from class cascading.tuple.hadoop.util.DeserializerComparator

      `groupComparators, keyTypes, lhsBuffer, lhsStream, rhsBuffer, rhsStream, tupleSerialization`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTupleComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canPerformRawComparisons()`
    `int` | `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
    `int` | `compare(Tuple lhs, Tuple rhs)`
    `protected abstract BaseTupleComparator.RawComparison` | `getByteComparison()`
    `protected BaseTupleComparator.RawComparison` | `getStreamComparison()`
    `void` | `setConf(Configuration conf)`

    - ### Methods inherited from class cascading.tuple.hadoop.util.DeserializerComparator

      `compareTuples, compareTuples, getFieldComparatorsFrom, getHadoopTupleInputStream, performRawComparison`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### BaseTupleComparator

          public BaseTupleComparator()

  - ### Method Detail

    - #### canPerformRawComparisons

          protected boolean canPerformRawComparisons()

      Overrides:
        `canPerformRawComparisons` in class `DeserializerComparator<Tuple>`

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`
      Overrides:
        `setConf` in class `DeserializerComparator<Tuple>`

    - #### getStreamComparison

          protected BaseTupleComparator.RawComparison getStreamComparison()

    - #### getByteComparison

          protected abstract BaseTupleComparator.RawComparison getByteComparison()

    - #### compare

          public int compare(byte[] b1,
                    int s1,
                    int l1,
                    byte[] b2,
                    int s2,
                    int l2)

      Specified by:
        `compare` in interface `RawComparator<Tuple>`

    - #### compare

          public int compare(Tuple lhs,
                    Tuple rhs)

      Specified by:
        `compare` in interface `java.util.Comparator<Tuple>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.